Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.filters
Class StripJavaComments

    java.lang.Object
      java.io.Reader
          java.io.FilterReader
              org.apache.tools.ant.filters.BaseFilterReader
                  org.apache.tools.ant.filters.StripJavaComments

All Implemented Interfaces:
  java.io.Closeable, java.lang.Readable, ChainableReader

    public final class StripJavaComments

extends BaseFilterReader
implements ChainableReader

This is a Java comment and string stripper reader that filters those lexical tokens out for purposes of simple Java parsing. (if you have more complex Java parsing needs, use a real lexer). Since this class heavily relies on the single char read function, you are recommended to make it work on top of a buffered reader.

Field Summary

Fields inherited from class java.io.FilterReader
`in`

Fields inherited from class java.io.Reader
`lock`

Constructor Summary
`StripJavaComments()` Constructor for "dummy" instances.
`StripJavaComments(java.io.Reader in)` Creates a new filtered reader.

Method Summary
`java.io.Reader` | `chain(java.io.Reader rdr)` Creates a new StripJavaComments using the passed in Reader for instantiation.
`int` | `read()` Returns the next character in the filtered stream, not including Java comments.

Methods inherited from class org.apache.tools.ant.filters.BaseFilterReader
`getInitialized, getProject, read, readFully, readLine, setInitialized, setProject, skip`

Methods inherited from class java.io.FilterReader
`close, mark, markSupported, ready, reset`

Methods inherited from class java.io.Reader
`read, read`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StripJavaComments

    public StripJavaComments()

  Constructor for "dummy" instances.

  See Also:
    `BaseFilterReader.BaseFilterReader()`

### StripJavaComments

    public StripJavaComments(java.io.Reader in)

  Creates a new filtered reader.

  Parameters:
    `in` - A Reader object providing the underlying stream. Must not be `null`.

Method Detail

### read

    public int read()
             throws java.io.IOException

  Returns the next character in the filtered stream, not including Java comments.

  Overrides:
    `read` in class `java.io.FilterReader`
  Returns:
    the next character in the resulting stream, or -1 if the end of the resulting stream has been reached
  Throws:
    `java.io.IOException` - if the underlying stream throws an IOException during reading

### chain

    public java.io.Reader chain(java.io.Reader rdr)

  Creates a new StripJavaComments using the passed in Reader for instantiation.

  Specified by:
    `chain` in interface `ChainableReader`
  Parameters:
    `rdr` - A Reader object providing the underlying stream. Must not be `null`.
  Returns:
    a new filter based on this configuration, but filtering the specified reader

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD